﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using FeatureDetectors;


namespace Khan08 {
	public partial class OptionsDialog : Form {

		public KHANOptions options = null;
		public OptionsDialog() {
			InitializeComponent();
			ReloadOptions();
		}
		public OptionsDialog(KHANOptions opt) {
			options = opt;
			InitializeComponent();
			ReloadOptions();
		}

		public void ReloadOptions() {
			textBox1.Text = options.wh.ToString();
			textBox2.Text = options.N.ToString(); // minimal edge sequence
			textBox3.Text = options.s.ToString(); // theta window size 
			textBox4.Text = options.z.ToString();  // zero crossing window size
			textBox5.Text = options.zeroCroosRatio.ToString(); // zero crossing threshold ratio
			textBox6.Text = options.zcS.ToString(); // zero crossing neibourgh window size
			textBox7.Text = options.pixelDistance.ToString();
			textBox8.Text = options.joinDistance.ToString();
			checkBox1.Checked = options.showGradientImage;
			checkBox2.Checked = options.showEdges;
			checkBox3.Checked = options.showEdgeSegments;
		}
		public void SaveOptions() {
			try { options.wh = Convert.ToInt32(textBox1.Text); } catch {}
			try { options.N = Convert.ToInt32(textBox2.Text); } catch {} // minimal edge sequence
			try { options.s = Convert.ToInt32(textBox3.Text); } catch {} // theta window size 
			try { options.z = Convert.ToInt32(textBox4.Text); } catch {}  // zero crossing window size
			try { options.zeroCroosRatio = Convert.ToSingle(textBox5.Text); }  catch {}// zero crossing threshold ratio
			try { options.zcS = Convert.ToInt32(textBox6.Text); } catch {} // zero crossing neibourgh window size
			try { options.pixelDistance = Convert.ToSingle(textBox7.Text); } catch {}
			try { options.joinDistance = Convert.ToSingle(textBox8.Text); } catch {}
			options.showGradientImage = checkBox1.Checked ;
			options.showEdges = checkBox2.Checked ;
			options.showEdgeSegments = checkBox3.Checked ;

			ReloadOptions();
		}

		private void button1_Click(object sender, EventArgs e) {
			SaveOptions();
		}

		private void button2_Click(object sender, EventArgs e)
		{
			ReloadOptions();
		}

		private void OptionsDialog_FormClosing(object sender, FormClosingEventArgs e) {
			e.Cancel = true;
			Hide();
		}

	

	}
}
