﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Emgu.CV;
using Emgu.CV.Structure;
using FeatureDetectors;

namespace SIFT {
	public partial class OptionsDialog : Form {

		public SIFTOptions options;

		public OptionsDialog() {
			InitializeComponent();
		}
		public OptionsDialog(SIFTOptions opt) {
			options = opt;
			InitializeComponent();
			ReloadOptions();
		}
		public void ReloadOptions() {
			textBox1.Text = String.Format("{0:0.###}", options.curvatureRatio);
			textBox2.Text = String.Format("{0:0.###}", options.interpolateThreshold);
			textBox3.Text = String.Format("{0:0.###}", options.peakThreshold);
			textBox4.Text = options.scaleLevels.ToString();
			textBox5.Text = options.maxOctaves.ToString();
			textBox6.Text = options.minImageSize.ToString();
			checkBox1.Checked = options.doubleImage;
		}
		public void SaveOptions() {
			try { options.curvatureRatio = Convert.ToSingle(textBox1.Text);}	catch { } 
			try { options.interpolateThreshold = Convert.ToSingle(textBox2.Text);}	catch { } 
			try { options.peakThreshold = Convert.ToSingle(textBox3.Text);}	catch { } 
			try { options.scaleLevels = Convert.ToInt32(textBox4.Text);}	catch { } 
			try { options.maxOctaves = Convert.ToInt32(textBox5.Text);}	catch { } 
			try { options.minImageSize = Convert.ToInt32(textBox6.Text);}	catch { } 

			options.doubleImage = checkBox1.Checked;
			ReloadOptions();
		}

		private void OptionsDialog_FormClosing(object sender, FormClosingEventArgs e) {
			e.Cancel = true;
			Hide();
		}

		private void button1_Click(object sender, EventArgs e) {
			SaveOptions();
		}

		private void button2_Click(object sender, EventArgs e) {
			ReloadOptions();
		}
		
	}
}
