﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using FeatureDetectors;
using System.Text.RegularExpressions;

namespace SURF {
	public partial class OptionsDialog : Form {

		public SURFOptions options;

		public OptionsDialog() {
			InitializeComponent();
		}
		public OptionsDialog(SURFOptions opt) {
			options = opt;
			InitializeComponent();
			ReloadOptions();
		}
		public void ReloadOptions() {
			textBox1.Text = options.hessianThreshold.ToString();
			textBox2.Text = options.octaves.ToString();
			textBox3.Text = options.layers.ToString();
			checkBox1.Checked = options.extended!=0;
		}
		public void SaveOptions() {
			try { options.hessianThreshold = Convert.ToInt32(textBox1.Text); }
			catch { }
			try { options.octaves = Convert.ToInt32(textBox2.Text); }
			catch { }
			try { options.layers = Convert.ToInt32(textBox3.Text); }
			catch { }

			options.extended = checkBox1.Checked ? 1 : 0;
			ReloadOptions();
		}

		private void OptionsDialog_FormClosing(object sender, FormClosingEventArgs e) {
			e.Cancel = true;
			Hide();
		}

		private void button1_Click(object sender, EventArgs e) {
			SaveOptions();
		}

		private void button2_Click(object sender, EventArgs e) {
			ReloadOptions();
		}




		
	}
}
